<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <TextView
            android:id="@+id/tvAppKey"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp"
            android:text="AppKey："
            android:textSize="20dp" />

        <TextView
            android:id="@+id/tvDevicesId"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp"
            android:text="DevicesId："
            android:textSize="20dp" />

        <TextView
            android:id="@+id/tvSn"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp"
            android:text="SN："
            android:textSize="20dp" />

        <TextView
            android:id="@+id/tvToken"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp"
            android:text="Token："
            android:textSize="20dp" />

        <Button
            android:id="@+id/btnJumpPassPort"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="刷新令牌" />

        <Button
            android:id="@+id/btnJumpConfigInfo"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="查看配置信息" />

        <Button
            android:id="@+id/btnJumpRealTime"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="实时数据测试" />

        <Button
            android:id="@+id/btnJumpLocation"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="每5秒上报" />

        <Button
            android:id="@+id/btnJumpRoadcondition"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="路况服务测试" />

        <Button
            android:id="@+id/btnJumpLivePlayAndPush"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="直播SDK 推送 和 播放" />

        <Button
            android:id="@+id/btnJumpLivePush"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="直播SDK推流测试"
            android:visibility="gone" />

        <Button
            android:id="@+id/btnJumpLivePlay"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="直播SDK观看测试"
            android:visibility="visible" />

        <Button
            android:id="@+id/btnJumpLivePlayOne"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="查看指定SN车辆直播"
            android:visibility="visible" />

        <Button
            android:id="@+id/btnRequestXINGLive"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="查看路口直播Url请求"
            android:visibility="visible" />

        <Button
            android:id="@+id/btnRequestCarLive"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="查看周边可直播车"
            android:visibility="visible" />

        <Button
            android:id="@+id/btnV2XFunctionTest"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="V2X模块测试"
            android:visibility="gone" />

        <Button
            android:id="@+id/btnNSDNetty"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="测试NSDNetty通信"
            android:textAllCaps="false"
            android:visibility="visible" />

        <Button
            android:id="@+id/btnV2XFunctionTest"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone" />

        <SurfaceView
            android:id="@+id/surfacePreviewView"
            android:layout_width="match_parent"
            android:layout_height="200dp" />

    </LinearLayout>

</ScrollView>